/* You can add global styles to this file, and also import other style files */

@use '@tilde-nlp/ngx-common/styles/mixins/tld-all-mixins.mixin.scss' as tld-main;
@use './variables.scss' as variables;

@import './mat-button.reset';

@include tld-main.tld-all-mixins(variables.$color-palette, variables.$tld-font);

$default-border-color: var(--base-70);
$default-border-radius: 8px;
$default-border-style: solid;
$default-border-width: 0.5px;


html,
body {
  height: 100%;
  font-family: var(--tld-font) !important;
}

body {
  margin: 0;
  // height: 100vh;
}


.mat-mdc-tooltip {
  font-size: 10px;
}

.text-right {
  text-align: right !important;
}

a {
  color: var(--base-10);
}

.tld-default-border {
  border-radius: $default-border-radius;
  border: $default-border-width $default-border-style $default-border-color  !important;
}

.tld-default-border-top {
  border-top: $default-border-width $default-border-style $default-border-color  !important;
}

.tld-default-border-right {
  border-right: $default-border-width $default-border-style $default-border-color  !important;
}

.tld-default-border-bottom {
  border-bottom: $default-border-width $default-border-style $default-border-color  !important;
}

.tld-default-border-left {
  border-left: $default-border-width $default-border-style $default-border-color  !important;
}

.mat-mdc-form-field {
  max-width: 600px;

  .mat-mdc-text-field-wrapper.mdc-text-field--outlined .mat-mdc-form-field-infix {
    padding: 9px 0;
    min-height: unset;
  }

  .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label {
    top: 50%;
  }

  .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,
  .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,
  .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing {
    border-color: var(--base-70);
  }
}

mat-radio-button label {
  margin-bottom: 0px !important;
}
